IBM Support

Cannot install Oil And Gas 7.6.1.0 (or HSE 7.6.1.0) on the top of TPAE 7.6.0.8

Technical Blog Post


Abstract

Cannot install Oil And Gas 7.6.1.0 (or HSE 7.6.1.0) on the top of TPAE 7.6.0.8

Body

Problem:
Error in the updatedb command while trying to install Maximo for Oil and Gas 7.6.1.0 (or Health, Safety and Environment Manager Release 7.6.1.0) on the top of TPAE 7.6.0.8.

 

Symptom:
During the updatedb process, when class V7610_127 is being updated, a unique key violation error occurs and the installation fails.

 

Resolving the problem:
Apply the Interim Fix for APAR IV95458 before running the updatedb command:
. For Oil and Gas, apply OG7610_ifixes.20170428-1454 (7.6.1.0-TIV-MAMOG-IF006) or later.
. For HSE, apply HSE7610_ifixes.20170428-1548 (7.6.1.0-TIV-MAMHSE-IF006) or later.

 

Steps:
1. Install TPAE 7.6.0.8.
2. Install OIL7610 (or HSE7610) but do not run the updatedb command.
3. Extract the files of the Interim Fix package into the <install_home> folder, selecting the Overwrite existing files and the Use folder names options.
4. Run the 'updatedb.bat' utility to run all the Interim Fix database scripts:
4.1. From a command prompt, change directory to '<install_home>\tools\maximo'. For example, c:\IBM\SMP\maximo\tools\maximo.
4.2. Run 'updatedb.bat'.
5. Run 'configdb.bat'.

[{"Business Unit":{"code":"BU005","label":"IoT"}, "Product":{"code":"SSLKT6","label":"Maximo Asset Management"},"Component":"","Platform":[{"code":"PF025","label":"Platform Independent"}],"Version":"","Edition":""}]

UID

ibm11112433